package com.jeeplus.modules.sg.budgetSpectaculars.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 手工维护表
 * @author: 徐滕
 * @create: 2021-09-15 16:39
 **/
public class HandmadeVindicateInfo extends DataEntity<HandmadeVindicateInfo> {
    private String projectName;    //项目名称
    private String projectNumber;    //国网项目编码
    private String planStartUpDate;    //计划开工日期
    private String plancompletionDate; //计划竣工日期
    private String practicalcompletionDate; //实际竣工日期
    private String whichMaterialStoresReturnedTime;    //发起甲供材领退料日期
    private String completedActualBudgetTime;    //提报竣工决算日期
    private String actualBudgetSubmittalsTime;    //决算送审日期
    private String actualBudgetauditReportTime;    //出具决算审计报告日期
    @ExcelField(title="项目名称", align=2, sort=1)
    public String getProjectName() {
        return projectName;
    }
    @ExcelField(title="国网项目编码", align=2, sort=2)
    public String getProjectNumber() {
        return projectNumber;
    }
    @ExcelField(title="计划开工日期", align=2, sort=3)
    public String getPlanStartUpDate() {
        return planStartUpDate;
    }
    @ExcelField(title="计划竣工日期", align=2, sort=4)
    public String getPlancompletionDate() {
        return plancompletionDate;
    }
    @ExcelField(title="实际竣工日期", align=2, sort=5)
    public String getPracticalcompletionDate() {
        return practicalcompletionDate;
    }
    @ExcelField(title="发起甲供材领退料日期", align=2, sort=6)
    public String getWhichMaterialStoresReturnedTime() {
        return whichMaterialStoresReturnedTime;
    }
    @ExcelField(title="提报竣工决算日期", align=2, sort=7)
    public String getCompletedActualBudgetTime() {
        return completedActualBudgetTime;
    }
    @ExcelField(title="决算送审日期", align=2, sort=8)
    public String getActualBudgetSubmittalsTime() {
        return actualBudgetSubmittalsTime;
    }
    @ExcelField(title="出具决算审计报告日期", align=2, sort=9)
    public String getActualBudgetauditReportTime() {
        return actualBudgetauditReportTime;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public void setPlanStartUpDate(String planStartUpDate) {
        this.planStartUpDate = planStartUpDate;
    }

    public void setPlancompletionDate(String plancompletionDate) {
        this.plancompletionDate = plancompletionDate;
    }

    public void setPracticalcompletionDate(String practicalcompletionDate) {
        this.practicalcompletionDate = practicalcompletionDate;
    }

    public void setWhichMaterialStoresReturnedTime(String whichMaterialStoresReturnedTime) {
        this.whichMaterialStoresReturnedTime = whichMaterialStoresReturnedTime;
    }

    public void setCompletedActualBudgetTime(String completedActualBudgetTime) {
        this.completedActualBudgetTime = completedActualBudgetTime;
    }

    public void setActualBudgetSubmittalsTime(String actualBudgetSubmittalsTime) {
        this.actualBudgetSubmittalsTime = actualBudgetSubmittalsTime;
    }

    public void setActualBudgetauditReportTime(String actualBudgetauditReportTime) {
        this.actualBudgetauditReportTime = actualBudgetauditReportTime;
    }
}
